#include <algorithm>
#include <iostream>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> folge{0, 2, 4, 6, 8, 10, 12, 14, 4, 6, 8};
  vector<int> teilfolge1{4, 6, 8};
  vector<int> teilfolge2{2, 1};

  cout << "Folge  ";
  showContainer(folge);
  // Suche nach Teilfolge 1
  cout << "Teilfolge  (";
  showContainer(teilfolge1, ") ");
  auto iter = ranges::find_end(folge, teilfolge1).begin();
  if (iter != folge.end()) {
    cout << "ist Teil der Folge. Das letzte Vorkommen beginnt an "
            "Position "
         << (iter - folge.begin()) << ".\n";
  }
  else {
    cout << "ist nicht Teil der Folge." << endl;
  }
  // Suche nach Teilfolge 2
  cout << "Teilfolge  (";
  showContainer(teilfolge2, ") ");
  iter = ranges::find_end(folge, teilfolge2).begin();
  if (iter != folge.end()) {
    cout << "ist Teil der Folge. Das letzte Vorkommen beginnt an "
            "Position "
         << (iter - folge.begin()) << ".\n";
  }
  else {
    cout << "ist nicht Teil der Folge.\n";
  }
}
