#ifndef BESCHRIFTETESOBJEKT_H
#define BESCHRIFTETESOBJEKT_H
#include "../../abstrakt/GraphObj.h"
#include <string>
#include <string_view>

class BeschriftetesObjekt : virtual public GraphObj {          // erben
public:
  BeschriftetesObjekt(Ort o, std::string_view b) : GraphObj(o), beschriftung{b} {}

  virtual double flaeche() const override { return 0.0; }

  virtual void zeichnen() const override
  {
    GraphObj::zeichnen();
    std::cout << "Beschriftung bei ";
    anzeigen(bezugspunkt());
    std::cout << beschriftung << '\n';
  }

private:
  std::string beschriftung;
};
#endif          // BESCHRIFTETESOBJEKT_H
