#include "ThreadGroup.h"
#include <atomic>
#include <iostream>
int nonAtomicCounter{0};
std::atomic<int> atomicCounter{0};

void testeAtomizitaet()
{
  for (int i = 0; i < 10000; ++i) {
    ++nonAtomicCounter;
    ++atomicCounter;
  }
}

int main()
{
  ThreadGroup threadgroup;
  for (int i = 0; i < 100; ++i) {
    threadgroup.add_thread(testeAtomizitaet);
  }
  // Beendigung der Threads abwarten:
  threadgroup.join_all();                    // kann hier nicht entfallen
  std::cout << "nicht-atomarer Zähler = " << nonAtomicCounter << '\n';
  std::cout << "atomarer Zähler       = " << atomicCounter << '\n';
}
