#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> folge{0, 2, 4, 6, 8, 10, 12, 14};
  vector<int> menge1{1, 5, 7};
  vector<int> menge2{1, 6, 7};
  // Zwei Tests:
  for (int testnummer = 0; testnummer < 2; ++testnummer) {
    const auto& menge = (testnummer == 0 ? menge1 : menge2);
    cout << "Ist eines der Elemente der Menge (";
    showContainer(menge, "");
    cout << ") in der Folge\n";
    showContainer(folge, "");
    cout << " enthalten?\n";
    // Suche nach Element, das auch in der Menge enthalten ist
    auto iter = ranges::find_first_of(folge, menge);
    if (iter != folge.end()) {
      cout << "Ja. Element " << *iter
           << " ist in beiden Bereichen vorhanden. Sein erstes Vorkommen"
              " in der Folge ist Position "
           << (iter - folge.begin()) << ".\n";
    }
    else {
      cout << "Nein.\n";
    }
  }
}
