#include <iostream>
#include <string>
#include <string_view>

int main()
{                                            // Ausgaben:
  std::string_view sv1 = "abcd12345";
  std::string_view sv2 = "6789";
  sv2 = sv1;
  // Zuweisung:
  std::cout << sv2 << '\n';                  // abcd12345

  // Anfang und Ende verkürzen:
  sv2.remove_prefix(2);
  std::cout << sv2 << '\n';                  // cd12345
  sv2.remove_suffix(1);
  std::cout << sv2 << '\n';                  // cd1234

  // Teilstring extrahieren:
  std::string_view sv3 = sv2.substr(0, 3);
  // << nimmt Rücksicht auf die Länge:
  std::cout << "sv3    = " << sv3 << '\n';   // cd1
  // data() nicht:
  std::cout << "data() = " << sv3.data() << '\n';  // cd12345

  // string_view aus string erzeugen:
  std::string str {"stringview\n"};
  std::cout << str;                         // string_view
  // Änderung des Strings wirkt sich auf das string_view-Objekt aus:
  std::string_view strv = str;
  str[0] = 'S';
  std::cout << strv;                        // string_view
}

