#include "KlasseMitKonstanten.h"
#include <iostream>

void f(double x) { std::cout << "f(" << x << ") aufgerufen!\n"; }
void g(const double& x) { std::cout << "g(" << x << ") aufgerufen!\n"; }

const std::string_view problem{KlasseMitKonstanten::constStringview};

int main()
{
  if(problem.length() > 0) {
    std::cout << problem << '\n';             // obige Konstante ausgeben (siehe Text)
  }
  else {
    std::cout << "Die Variable 'problem' ist nicht initialisiert!\n";
  }
  // Ausgabe der Klassenkonstanten
  std::cout << KlasseMitKonstanten::drei << '\n';
  std::cout << static_cast<int>(KlasseMitKonstanten::rgb::blau) << '\n';
  std::cout << KlasseMitKonstanten::constDouble  << '\n';
  std::cout << KlasseMitKonstanten::constInt     << '\n';
  std::cout << KlasseMitKonstanten::constString << '\n';

  // Übergabe an Funktionen
  f(KlasseMitKonstanten::drei);             // ok, implizite Umwandlung
  g(KlasseMitKonstanten::drei);             // ok, implizite Umwandlung
  g(static_cast<double>(KlasseMitKonstanten::rgb::blau));          // ok
  f(KlasseMitKonstanten::constDouble);      // ok
}

